#version 330 core

layout(location = 0) in vec3 vert_position;
layout(location = 1) in vec2 vert_texcoord;
layout(location = 2) in int vert_texid;
layout(location = 3) in int vert_light;

out vec3 frag_texcoord;
out vec2 frag_light;
out float frag_depth;

uniform mat4 MVP;
uniform vec3 camera;

void main()
{
	gl_Position = MVP * vec4(vert_position, 1);
        frag_texcoord = vec3(vert_texcoord, vert_texid);
        frag_light = vec2(vert_light % 16, vert_light / 16);
        frag_depth = distance(camera, vert_position);
}

